@charset "UTF-8";

@media print, screen
{

.wp-block-cojina-cblock-image,
.is-root-container .wp-block-cojina-cblock-image
{
	--Mw: 1200;
	--Ar: 16/9;
	--fit: cover;
	--Mw_sp: 1200;
	--Ar_sp: 16/9;
	--fit_sp: cover;
	--SdC: transparent;
	--SdW: 0;

	scroll-margin-top: var(--headerH);
	position: relative;

	display: flex;	justify-content: center;
	min-height: 7rem;
}

.wp-block-cojina-cblock-image picture
{
	display: block;
	width: 100%;	max-width: calc(var(--Mw) * 1px);
	aspect-ratio: var(--Ar);
	filter: drop-shadow( 0 0 calc(var(--SdW) * var(--v)) var(--SdC) );
}
.wp-block-cojina-cblock-image picture img
{
	aspect-ratio: var(--Ar);
	object-fit: var(--fit);
}

/* ===== for editor ===== */
/* .is-root-container .wp-block-cojina-cblock-image picture{	background: var(--Ceditor0);	} */
.is-root-container .wp-block-cojina-cblock-image
{
	position: relative;
	width: 100%;	height: 100%;
}
.is-root-container .wp-block-cojina-cblock-image .buttons
{
	position: absolute;
	top: 0.5rem;	left: 0.5rem;

	display: flex;	flex-direction: column;	align-items: start;
	gap: 0.5rem;
}
.is-root-container .wp-block-cojina-cblock-image button{	background: rgb(255 255 255 / 0.8);	}

}
@media screen and (min-width: 782px)
{

.wp-block-cojina-cblock-image.AlL,
.is-root-container .wp-block-cojina-cblock-image.AlL
{	justify-content: start;	}
.wp-block-cojina-cblock-image.AlR,
.is-root-container .wp-block-cojina-cblock-image.AlR
{	justify-content: end;	}

}
@media screen and (max-width: 781px)
{

.wp-block-cojina-cblock-image.AlL_sp,
.is-root-container .wp-block-cojina-cblock-image.AlL_sp
{	justify-content: start;	}
.wp-block-cojina-cblock-image.AlR_sp,
.is-root-container .wp-block-cojina-cblock-image.AlR_sp
{	justify-content: end;	}
.wp-block-cojina-cblock-image picture{	max-width: calc(var(--Mw_sp) * var(--v));	}
.wp-block-cojina-cblock-image picture img
{
	aspect-ratio: var(--Ar_sp);
	object-fit: var(--fit_sp);
}

}

/* ======================================== end ======================================== */
